CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
csl::Grain Struct Reference

Grain data structure This implementation uses a linked list data structure. You might want to add a few more members to this for flexibility. More...

`#include <Granulator.h>`

List of all members.

## Public Attributes
float | amplitude
| amplitude scale (0 - 1)
float | rate
| playback rate (1.0 for normal pitch, < 0 reads backwards)
float | duration
| duration in samples
float | time
| current time (index) in samples
float | pan
| stereo pan 0 - 1
float | env
| envelope: 0 = perc, 0.5 = triangle, 1 = reverse perc
float | position
| running sample index
unsigned | delay
| initial delay in samples
float * | samples
| sample buffer pointer
unsigned | numSamples
| length of sample vector
Grain * | nextGrain
| A pointer to the next grain in the linked list.

## Detailed Description

Grain data structure This implementation uses a linked list data structure. You might want to add a few more members to this for flexibility.

Definition at line 21 of file Granulator.h.

## Member Data Documentation

float csl::Grain::amplitude

amplitude scale (0 - 1)

Definition at line 22 of file Granulator.h.

Referenced by createGrains().

float csl::Grain::rate

playback rate (1.0 for normal pitch, < 0 reads backwards)

Definition at line 23 of file Granulator.h.

Referenced by createGrains().

float csl::Grain::duration

duration in samples

Definition at line 24 of file Granulator.h.

Referenced by createGrains(), and reapGrains().

float csl::Grain::time

current time (index) in samples

Definition at line 25 of file Granulator.h.

Referenced by createGrains(), and reapGrains().

float csl::Grain::pan

stereo pan 0 - 1

Definition at line 26 of file Granulator.h.

Referenced by createGrains().

float csl::Grain::env

envelope: 0 = perc, 0.5 = triangle, 1 = reverse perc

Definition at line 27 of file Granulator.h.

Referenced by createGrains().

float csl::Grain::position

running sample index

Definition at line 28 of file Granulator.h.

Referenced by createGrains().

unsigned csl::Grain::delay

initial delay in samples

Definition at line 29 of file Granulator.h.

Referenced by createGrains().

float* csl::Grain::samples

sample buffer pointer

Definition at line 30 of file Granulator.h.

Referenced by createGrains().

unsigned csl::Grain::numSamples

length of sample vector

Definition at line 31 of file Granulator.h.

Referenced by createGrains().

Grain* csl::Grain::nextGrain

A pointer to the next grain in the linked list.

Definition at line 32 of file Granulator.h.

Referenced by createGrains(), csl::GrainCloud::GrainCloud(), csl::GrainPlayer::nextBuffer(), reapGrains(), and csl::GrainCloud::reset().

The documentation for this struct was generated from the following file:

- CSL/Sources/Granulator.h